/* commons, base, layout
------------------------------------------- */
.page-buscar .row.l-main{ background-color: white; }
.page-buscar .dos-columnas-content { .clearfix(); }

.page-buscar .dos-columnas { margin: auto; }

.page-buscar .dos-columnas ol,
.page-buscar .dos-columnas ul,
.page-buscar .dos-columnas li { list-style: none; padding: 0; margin: 0; }

.page-buscar .region-top h2.pane-title { .hidden(); } /* oculta titulo principal */

.page-buscar .dos-columnas h3 a { color: black; text-decoration: none; }

.page-buscar .dos-columnas-content .region-left .pane-apachesolr-search-sort,
.page-buscar .dos-columnas-content .region-left .pane-cuci-search-ci-sort
 {
	.clearfix();
	padding-bottom:10px;
	border-bottom: 1px solid black;
}

/* mensaje búsqeda actual, items ------------------------------ */
.page-buscar .current-search-item h3,
.page-buscar .current-search-item-active {
	text-align: center;
	.regular();
}

.page-buscar .current-search-item h3 {
	margin-top: 0;
	margin-bottom: 0;
	padding-top: 60px;
}


/* Búsqueda actual con filtros aplicados ---------------------------- */
.page-buscar .current-search-item-active { 
	margin-bottom: 20px; 
	font-size: 21px; 

	ul { text-align: center; }

	ul li { display: inline-block; }

	ul li.first::before { content: ''; }

	ul li::before { content: ' / '; }

	ul li a { color: @negro; text-decoration: none; }
}

/* spellcheck --------------------------------- */
.page-buscar .pane-apachesolr-spellchecker {
	padding-top: 10px;
	text-align: center;

	a { 
		color: #1c3d9c; 
		padding-left: 15px; 
		text-decoration: none; 
	}
}

/* campo buscar ---------------------------- */
.page-buscar form#apachesolr-panels-search-form { text-align: center; }

.page-buscar form#apachesolr-panels-search-form > div {
	.clearfix();
	overflow: hidden;
	border: 1px solid black;
	border-radius: 5px;
	background-color: white;

	.form-item,
	button.form-submit {
		margin: 0;
		border: none;
	}

	.form-item input {
		height: 48px;
		border-radius: 5px;
		padding-left: 10px;
		border: none; 
		outline: none;
		.bold();
	}

	button.form-submit {
		height: 48px;
		padding: 5px 20px;
		background-color: #1c3d9c;
		text-transform: uppercase;
		.regular();
		color: white;
	}
}
/* ordenar resultados -------------------------- */
	.page-buscar .pane-apachesolr-search-sort h2.pane-title,
	.page-buscar .pane-cuci-search-ci-sort h2.pane-title
	 { 
		float: left;
		margin: 0;
		.bold();
		font-size: 16px;
		color:@gris-oscuro;
	}

	.page-buscar .pane-apachesolr-search-sort > .pane-content, 
	.page-buscar .pane-cuci-search-ci-sort > .pane-content, 
	{ float: right; }
	
	.pane-cuci-search-ci-sort #sort_search_custom{
		position:relative;
		overflow:visible;
		
	}
	.pane-cuci-search-ci-sort #sort_search_custom .active_sort{
		padding: 0 5px;
		color:@gris-oscuro;
	}
	.pane-cuci-search-ci-sort #sort_search_custom .active_sort:after {
	content: "";
	width: 0;
	height: 0;
	border-left: 5px solid transparent;
	border-right: 5px solid transparent;
	border-top: 7px solid @negro;
	vertical-align: middle;
	display: inline-block;
	margin-left:8px;
	}
	

	.pane-cuci-search-ci-sort #sort_search_custom .item-list{
		position:absolute;
		top:32px;
		left:0;
		border: 1px solid black;
		padding:6px 4px;
		width:100%;
		background-color: white;

		li {
			marging: 3px 0;
		}
		li.active{
			background-color:#efefef;
			-webkit-border-radius: 3px;
			-moz-border-radius: 3px;
			border-radius: 3px;
			padding:0px 3px;
		}
		img {display:none;}
		a{
			color: @gris-oscuro;
			font-size: 14px;
		}
	}
	
	.pane-cuci-search-ci-sort #sort_search_custom .item-list.escondido{
	display:none;
	}
	
	.pane-cuci-search-ci-sort #sort_search_custom .item-list:before,
	.pane-cuci-search-ci-sort #sort_search_custom .item-list:after
	 {
	content: "";
    position: absolute;
    width: 0;
    height: 0;
    border-style: solid;
    border-color: transparent;
    border-top: 0;
    left: 50%;	
    transform: translate(-50%,0);
}
/* odenar por ------------------------------------- */
.page-buscar .pane-apachesolr-search-sort ul {
	.clearfix();
	padding-bottom: 7px;

	li { 
		float: right;
		padding-left: 7px;
		margin-left: 7px;

		&.first { border-left: 1px solid @negro; }

		&.last a { padding-right: 5px; }
	}

	li a { color: @negro; text-decoration: none; padding-left: 5px; }
}

/* filtro ----------------------------------------- */
.page-buscar .dos-columnas-content .region-right { 
	h2.pane-title {
		background-color: @negro;
		margin: 0;
		padding: 5px 10px;
		.regular();
		color: white;
	}

	.pane-block { padding-bottom: 25px; }

	.pane-block .pane-content { border: 1px solid @gris-claro; padding: 10px; }

	.pane-block .pane-content a {
		display: block;
		padding-bottom: 10px;
		text-decoration: none;
		.bold();
		color: @negro;
	}

	.pane-block .pane-content .facetapi-limit-link {
		padding-top: 10px;
		padding-bottom: 0;
		border-top: 1px solid @gris-claro;
		text-align: center;
	}
}

/* resultados
-------------------------------------------------------------- */
.page-buscar .pane-apachesolr-result > .pane-content > h2 { .hidden(); }

.page-buscar .region-left .pane-content > h2 { .bold(); }

.page-buscar ol.apachesolr_search-results { margin-right: -20px; margin-left: -20px; .clearfix(); }
.page-buscar li.solr-group-Noticias { .clearfix(); }

.page-buscar .node-producciones.view-mode-resultados { 
	float: left; 
	text-align: center; 
}

.page-buscar .node-producciones.view-mode-resultados .group-wrap {
	padding-left: 20px;
	padding-right: 20px;
}

.page-buscar .field-name-field-imagen a { display: block; }
.page-buscar .field-name-field-imagen a img { width:100%; height: auto; }

.page-buscar .buscar_field_seccion {
	display: inline-block;
	margin: 2px 0 8px;
	padding: 4px 10px;
	background-color: @naranja;
	font-size: 13px;
	color: white;

	a { 
		text-decoration: none;
		color: white; 
	}
}

.search-results .grupo-busqueda:nth-of-type(1) > h2 { border: none; margin-top: 0; }

.search-results .grupo-busqueda > a {
	clear: both;
	display: block;
	text-align: center;
	text-decoration: none;
	font-size: 15px;
	color: #1c3c94;
}
.search-results .grupo-busqueda > h2 { /* titulo de cada grupo */
	margin: 25px 20px 0;
	padding-bottom: 20px;
	padding-top: 30px;
	border-top: 1px solid black;
	.regular();
}

.page-buscar .field-name-title h3 { 
	.regular();
	margin: 0;
	line-height: 18px;
}

.page-buscar .buscar_field_fecha { 
	padding-top: 2px;
	background-color: transparent; 
	.regular(); 
	font-size: 13px; 
	color: @negro;
}

/* resultados noticias --------------------------------------- */
.page-buscar .node-noticias.view-mode-resultados {
	.clearfix();
	margin-bottom: 10px;
	margin-left: 20px;
	margin-right: 20px;
	padding-bottom: 10px;
	border-bottom: 1px solid @gris-claro;

	.group-right,
	.group-left { float: left; }
}

.page-buscar .node-noticias.view-mode-resultados .group-right .field-name-title {
	h2 { 
		margin: 0; 
		.regular();

		a { color: @negro; text-decoration: none; }
	}
}

/* resultado personas -------------------------------- */
.page-buscar .node-actores.view-mode-resultados,
.page-buscar .node-personas.view-mode-resultados {
	padding-left: 20px;
	padding-right: 20px;
	padding-bottom: 30px;

	a { color: #1c3c90; text-decoration: none; .regular(); }

	.field-name-title h2 { .regular(); }

	.view-actor-producciones .views-row,
	.view-actor-producciones .views-row > div { display: inline-block; .regular(); }

	.view-actor-producciones .views-row::after { content: ', '; }
	.view-actor-producciones .views-row-last::after { content: '.'; }
}

/* paginador ------------------------------------------ */
.page-buscar .pagination-centered { padding-top: 50px; }

/* =======================================================
		estilos unicos para moviles
======================================================== */
@media (max-width: @screen-sm-min) {
	.page-buscar .dos-columnas { padding: 15px; }

	/* buscador ------------------------ */
	.page-buscar form#apachesolr-panels-search-form > div .form-item input { float: left; }
	.page-buscar form#apachesolr-panels-search-form > div button.form-submit { float: right; }

	/* ordernar resultados --------------------------- */
	.page-buscar .pane-cuci-search-ci-sort > h2.pane-title { .hidden(); }

	/* filtrar por -------------------------- */
	.page-buscar .pane-cuci-search-ci-sort { .clearfix(); }

	.filtrar-por { position: relative; float: left;}

	.lang-es .filtrar-por .label::before { content: 'Filtrar por'; }
	.lang-en .filtrar-por .label::before { content: 'Filter by'; }

	.filtrar-por .label { width: 120px; }
	.filtrar-por .label::after { /* flecha */
		content: "";
		width: 0;
		height: 0;
		border-left: 5px solid transparent;
		border-right: 5px solid transparent;
		border-top: 7px solid #030303;
		vertical-align: middle;
		display: inline-block;
		margin-left: 8px;
	}	  

	.filtrar-por .region-right {
		display: none;
		position: absolute;
		width: 290px;
		left: 0;
		top: 35px;
		background: rgba(255,255,255,0.9);

		&.active { display: block; }
	}

	.filtrar-por .region-right h2.pane-title { font-size: 16px; float: none; }

	/* resultados ---------------------- */
	.page-buscar .dos-columnas-content .region-left .pane-apachesolr-search-sort .pane-title { .hidden(); } /* oculta titulo */
	.page-buscar .node-producciones.view-mode-resultados { 
		width: 50%;
		min-height: 345px;
	}

	/* resultado noticias ------------------------------------------- */
	.page-buscar .node-noticias.view-mode-resultados .field-name-social-network { .hidden(); } /* redes no visibles en moviles */

	.page-buscar .node-noticias.view-mode-resultados {
		.group-left { width: 30%; }
		.group-right { width: 70%; padding-left: 4%; }

		.group-left img { width: 100%; height: auto; }
	}

	.page-buscar .node-noticias.view-mode-resultados .group-right .field-name-title h2 {
		font-size: 16px;
	}
}

/* =======================================================
			estilos para desktop
======================================================== */
@media (min-width: @screen-sm-min) {

	.page-buscar .dos-columnas { width: 1024px; }

	.page-buscar .dos-columnas-content {
		padding-top: 74px;
		padding-bottom: 50px;
		.region-left,
		.region-right { float: left; }
	}

	.page-buscar .dos-columnas-content .region-left { width: 740px; }

	/* filtro ----------------------------------------- */
	.page-buscar .dos-columnas-content .region-right { 
		width: 284px;
		padding-left: 20px;

		h2.pane-title { font-size: 18px; }
	}

	/* objetos encontrados ------------------------- */
	.page-buscar .current-search-item h3 { font-size: 36px; }

	/* buscador ----------------------------------- */
	.page-buscar form#apachesolr-panels-search-form > div { display: inline-block; }

	.page-buscar form#apachesolr-panels-search-form > div .form-item, 
	.page-buscar form#apachesolr-panels-search-form > div button.form-submit { display: inline-block; vertical-align: top; }

	.page-buscar form#apachesolr-panels-search-form > div .form-item input {
		width: 700px;
		font-size: 26px;
	}
	.page-buscar form#apachesolr-panels-search-form > div button.form-submit {
		font-size: 20px;
	}

	
  /* Stroke */
  .pane-cuci-search-ci-sort #sort_search_custom .item-list:before {
    top: -6px;
    /* If 1px darken stroke slightly */
    border-bottom-color:@negro;
    border-width: 6px;
  }

  /* Fill */
  .pane-cuci-search-ci-sort #sort_search_custom .item-list:after {
    top: -5px;
    border-bottom-color: #fff;
    border-width: 5px;
  }	
	
	
	/* resultados ---------------------------------------- */
	.page-buscar .node-producciones.view-mode-resultados { width: 25%; min-height: 370px; }

	.search-results .grupo-busqueda > h2 { font-size: 38px; } 

	/* resultados noticias ----------------------------------- */
	.page-buscar .node-noticias.view-mode-resultados {
		.group-left { width: 100px; }
		.group-right { width: 640px; padding-left: 10px; }
	}

	.page-buscar .node-noticias.view-mode-resultados .group-right .field-name-title {
		h2 { 
			font-size: 26px;
			line-height: 28px;
		}
	}

	.page-buscar .node-noticias.view-mode-resultados .field-name-social-network {
		position: relative;
		display: inline-block;
		width: 25px;
		height: auto;
		float: none;
		margin-top: 2px;
		margin-left: 10px;
		text-align: left;
		vertical-align: top;
		.transition(all 0.5s ease-in-out);

		&:hover {
			ul { .scale(1); }
		}

		&::after {
			content:'';
			display: inline-block;
			width: 25px;
			height: 25px;
			border-radius: 3px;
			border: 1px solid @negro;
			background: url(../img/share-negro.png) no-repeat center center;
			background-color: white;
			cursor: pointer;
		}

		ul {
			.transition(all 0.5s ease-in-out);
			-webkit-transform-origin: 0 50%;
			-moz-transform-origin: 0 50%;
			-ms-transform-origin: 0 50%;
			transform-origin: 0 50%;
			position: absolute;
			width: 130px;
			left:30px;
			top: 0;
			border-radius: 5px;
			background-color: @negro;
			.scale(0);
		}
	}
}
